#
# Conditional build:
%bcond_with	tests		# build with tests
%define		kdeappsver	23.08.5
%define		kframever	5.94.0
%define		qtver		5.15.2
%define		kaname		kasts
Summary:	kasts
Name:		ka5-%{kaname}
Version:	23.08.5
Release:	1
License:	BSD 2 Clause/BSD 3 Clause/GPL v2+/GPL v3+/LGPL v2.0+
Group:		X11/Applications
Source0:	https://download.kde.org/stable/release-service/%{kdeappsver}/src/%{kaname}-%{version}.tar.xz
# Source0-md5:	0479406530e106b3021f6dae6b5d8e5a
URL:		http://www.kde.org/
BuildRequires:	Qt5Core-devel
BuildRequires:	Qt5DBus-devel
BuildRequires:	Qt5Gui-devel
BuildRequires:	Qt5Keychain-devel
BuildRequires:	Qt5Multimedia-devel
BuildRequires:	Qt5Network-devel >= 5.15.10
BuildRequires:	Qt5Qml-devel >= 5.15.10
BuildRequires:	Qt5Quick-controls2-devel
BuildRequires:	Qt5Quick-devel
BuildRequires:	Qt5Sql-devel
BuildRequires:	Qt5Svg-devel
BuildRequires:	Qt5Test-devel
BuildRequires:	Qt5Widgets-devel
BuildRequires:	Qt5Xml-devel >= 5.15.2
BuildRequires:	gettext-devel
BuildRequires:	kf5-extra-cmake-modules >= 5.102.0
BuildRequires:	kf5-kconfig-devel >= 5.102.0
BuildRequires:	kf5-kcoreaddons-devel >= 5.102.0
BuildRequires:	kf5-ki18n-devel >= 5.102.0
BuildRequires:	kf5-kirigami2-devel >= 5.102.0
BuildRequires:	kf5-syndication-devel >= 5.102.0
BuildRequires:	kf5-threadweaver-devel >= 5.102.0
BuildRequires:	kirigami-addons-devel >= 0.7
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	qt5-build >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.164
BuildRequires:	shared-mime-info
BuildRequires:	taglib-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	vlc-devel
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Kasts is a convergent podcast application.

%prep
%setup -q -n %{kaname}-%{version}

%build
%cmake \
	-B build \
	-G Ninja \
	%{!?with_tests:-DBUILD_TESTING=OFF} \
	-DHTML_INSTALL_DIR=%{_kdedocdir} \
	-DKDE_INSTALL_USE_QT_SYS_PATHS=ON
%ninja_build -C build

%if %{with tests}
ctest --test-dir build
%endif


%install
rm -rf $RPM_BUILD_ROOT
%ninja_install -C build

%find_lang %{kaname} --all-name --with-kde

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{kaname}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/kasts
%attr(755,root,root) %{_libdir}/libKMediaSession.so
%attr(755,root,root) %{_libdir}/libKastsSolidExtras.so
%dir %{_libdir}/qt5/qml/org/kde/kasts
%dir %{_libdir}/qt5/qml/org/kde/kasts/solidextras
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kasts/solidextras/libkasts-solidextrasqmlplugin.so
%{_libdir}/qt5/qml/org/kde/kasts/solidextras/qmldir
%dir %{_libdir}/qt5/qml/org/kde/kmediasession
%attr(755,root,root) %{_libdir}/qt5/qml/org/kde/kmediasession/libkmediasession-qmlplugin.so
%{_libdir}/qt5/qml/org/kde/kmediasession/qmldir
%{_desktopdir}/org.kde.kasts.desktop
%{_iconsdir}/hicolor/scalable/actions/media-playback-cloud.svg
%{_iconsdir}/hicolor/scalable/apps/kasts-tray-dark.svg
%{_iconsdir}/hicolor/scalable/apps/kasts-tray-light.svg
%{_iconsdir}/hicolor/scalable/apps/kasts.svg
%{_datadir}/metainfo/org.kde.kasts.appdata.xml
%changelog
* Tue Apr 23 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ka5-kasts.git;a=log;h=master

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 097dbd4
- updated to 23.08.5

* Fri Mar 15 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 710aebb
- Revert "- 24.01.95"

* Mon Feb 26 2024 Witold Filipczyk <witekfl@poczta.onet.pl> 6320722
- 24.01.95

* Fri Dec 08 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 333ba66
- updated to 23.08.4

* Fri Nov 10 2023 Witold Filipczyk <witekfl@poczta.onet.pl> b1fd8c2
- updated to 23.08.3

* Fri Oct 13 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 20072aa
- updated to 23.08.2

* Fri Sep 15 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 0fcef11
- updated to 23.08.1

* Tue Sep 05 2023 Krzysztof Mrozowicz <mrozowik@pld-linux.org> d1c5070
- adding missinng dirs

* Thu Aug 24 2023 Witold Filipczyk <witekfl@poczta.onet.pl> 275e213
- 23.08.0

